PostgreSQL bis 9.0.18/9.1.14/9.2.9/9.3.5/9.4.0 to_char Pufferüberlauf

CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
7.1$0-$5k0.00

In PostgreSQL bis 9.0.18/9.1.14/9.2.9/9.3.5/9.4.0 (Database Software) wurde eine Schwachstelle gefunden. Sie wurde als problematisch eingestuft. Betroffen ist die Funktion to_char. Mittels Manipulieren mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle ausgenutzt werden. CWE definiert das Problem als CWE-119. Dies hat Einfluss auf Vertraulichkeit, Integrität und Verfügbarkeit.

Die Schwachstelle wurde am 05.02.2015 durch Bruce Momjian als News ID 1569 in Form eines bestätigten Newss (Website) öffentlich gemacht. Bereitgestellt wird das Advisory unter postgresql.org. Die Verwundbarkeit wird seit dem 18.11.2014 als CVE-2015-0241 geführt. Der Angriff kann über das Netzwerk angegangen werden. Um eine Ausnutzung durchzusetzen, muss eine einfache Authentisierung umgesetzt werden. Technische Details sind bekannt, ein verfügbarer Exploit hingegen nicht.

Für den Vulnerability Scanner Nessus wurde ein Plugin mit der ID 81193 (FreeBSD : PostgreSQL -- multiple buffer overflows and memory issues (3b40bf2c-ad83-11e4-a2b2-0026551a22dc)) herausgegeben, womit die Existenz der Schwachstelle geprüft werden kann. Es wird der Family FreeBSD Local Security Checks zugeordnet. Der kommerzielle Vulnerability Scanner Qualys bietet das Plugin 350210 (Amazon Linux Security Advisory for postgresql92: ALAS-2015-492) zur Prüfung der Schwachstelle an.

Ein Aktualisieren auf die Version 9.0.19, 9.1.15, 9.2.10, 9.3.6 oder 9.4.1 vermag dieses Problem zu lösen. Das Advisory stellt fest:

This vulnerability was fixed on non-Windows platforms in the prior update releases.

Unter anderem wird der Fehler auch in den Datenbanken von X-Force (100777) und Tenable (81193) dokumentiert.

Produktinfo

Typ

Name

Version

Lizenz

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv3info

VulDB Meta Base Score: 7.5
VulDB Meta Temp Score: 7.1

VulDB Base Score: 6.3
VulDB Temp Score: 5.5
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 8.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfo

Klasse: Pufferüberlauf
CWE: CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Unbewiesen

EPSS Score: 🔍
EPSS Percentile: 🔍

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Nessus ID: 81193
Nessus Name: FreeBSD : PostgreSQL -- multiple buffer overflows and memory issues (3b40bf2c-ad83-11e4-a2b2-0026551a22dc)
Nessus Datei: 🔍
Nessus Risiko: 🔍
Nessus Family: 🔍

OpenVAS ID: 14611
OpenVAS Name: Amazon Linux Local Check: ALAS-2015-503
OpenVAS Datei: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfo

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: PostgreSQL 9.0.19/9.1.15/9.2.10/9.3.6/9.4.1

Timelineinfo

18.11.2014 🔍
05.02.2015 +79 Tage 🔍
05.02.2015 +0 Tage 🔍
11.02.2015 +6 Tage 🔍
11.02.2015 +0 Tage 🔍
16.09.2015 +217 Tage 🔍
17.09.2015 +1 Tage 🔍
09.03.2022 +2365 Tage 🔍

Quelleninfo

Produkt: postgresql.org

Advisory: News ID 1569
Person: Bruce Momjian
Status: Bestätigt

CVE: CVE-2015-0241 (🔍)
OVAL: 🔍

X-Force: 100777 - PostgreSQL to_char buffer overflow, Medium Risk
SecurityTracker: 1031742
Vulnerability Center: 52641 - PostgreSQL Remote Code Execution due to Processing a Crafted Timestamp Formatting Template, Medium
SecurityFocus: 72540 - PostgreSQL 'to_char()' Function Buffer Overflow Vulnerability

Eintraginfo

Erstellt: 11.02.2015 09:05
Aktualisierung: 09.03.2022 02:26
Anpassungen: 11.02.2015 09:05 (67), 23.12.2017 13:14 (8), 09.03.2022 02:11 (2), 09.03.2022 02:19 (18), 09.03.2022 02:26 (1)
Komplett: 🔍
Cache ID: 100:FEA:40

Diskussion

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Interested in the pricing of exploits?

See the underground prices here!